org.apache.lucene.luke.models.search

## Class SimilarityConfig.Builder

- java.lang.Object
- - org.apache.lucene.luke.models.search.SimilarityConfig.Builder

Enclosing class:
  SimilarityConfig

    public static class SimilarityConfig.Builder
    extends Object

Builder for `SimilarityConfig`

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SimilarityConfig.Builder` `b(float val)`
`SimilarityConfig` `build()`
`SimilarityConfig.Builder` `discountOverlaps(boolean val)`
`SimilarityConfig.Builder` `k1(float val)`
`SimilarityConfig.Builder` `useClassicSimilarity(boolean val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### useClassicSimilarity

    public SimilarityConfig.Builder useClassicSimilarity(boolean val)

#### k1

    public SimilarityConfig.Builder k1(float val)

#### b

    public SimilarityConfig.Builder b(float val)

#### discountOverlaps

    public SimilarityConfig.Builder discountOverlaps(boolean val)

#### build

    public SimilarityConfig build()